> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Check User Round Status

> Check user round status



## OpenAPI

````yaml post /rounds/{round_id}/check-user-round-status
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}/check-user-round-status:
    post:
      tags:
        - rounds
      summary: Check User Round Status
      description: Check user round status
      operationId: check_user_round_status_rounds__round_id__check_user_round_status_post
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundUserAlreadyInRoundResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundUserAlreadyInRoundResponse:
      properties:
        status:
          $ref: '#/components/schemas/RoundStatusTypeEnum'
        is_private:
          type: boolean
          title: Is Private
      type: object
      required:
        - status
        - is_private
      title: RoundUserAlreadyInRoundResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundStatusTypeEnum:
      type: string
      enum:
        - NOT_IN_ROUND
        - WAITING_FOR_PLAYERS
        - COUNTDOWN
        - QUESTION
        - RESULTS
      title: RoundStatusTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````